on mouseUp
  if isXtraInstalled("printomatic") = 0 then
    alert("The PrintOMatic Xtra is not installed. Printing is disabled.")
    exit
  end if
  doc = new(xtra("PrintOMatic"))
  if not objectp(doc) then
    alert("There is no currently selected printer. Printing features are disabled.")
    exit
  end if
  cursor(4)
  setDocumentName(doc, "PrintOMatic MX Documentation")
  setMargins(doc, rect(72, 72, 72, 72))
  w = getPageWidth(doc)
  h = getPageHeight(doc)
  setPageNumSymbol(doc, "Þ")
  setTextSize(doc, 10)
  setTextStyle(doc, "normal,italic")
  setTextJust(doc, "left")
  drawText(doc, "PrintOMatic MX Documentation", point(0, -15))
  setTextJust(doc, "right")
  drawText(doc, "printed" && the date, point(w, -15))
  drawLine(doc, point(0, -12), point(w, -12))
  drawText(doc, "page Þ", point(w, h + 20))
  newPage(doc)
  setGray(doc, 0)
  drawRect(doc, rect(-2, -24, w + 5, 2), 1)
  setGray(doc, 100)
  top = member("printomatic mx").height
  setColor(doc, 0, 17, 58)
  drawRect(doc, rect(0, 0, getPageWidth(doc), top), 1)
  drawPicture(doc, member("printomatic mx"), rect(0, 0, getPageWidth(doc), top))
  newFrame(doc, rect(0, top + 12, w, h), 0)
  newPage(doc)
  newFrame(doc, rect(0, 0, w, h), 1)
  setTextJust(doc, "left")
  repeat with cmem = the number of member "startdocs" to the number of member "enddocs"
    append(doc, member(cmem))
    pageBreak(doc)
  end repeat
  cursor(-1)
  if word 1 of the text of cast the castNum of sprite the clickOn = "Preview" then
    printPreview(doc)
  else
    if doJobSetup(doc) = 1 then
      updateStage()
      print(doc)
    end if
  end if
  doc = 0
end
